import React from 'react';
import { WithYMapsProps } from '../hocs/withYMaps';
import { BaseGeoObjectProps } from './BaseGeoObject';
import { IDataManager, IGeometry, IOptionManager } from 'yandex-maps';
import { AnyObject, WithInstanceRef } from '../util/typing';
import { ErrorBoundaryProps } from '../hocs/with-error-boundary';
interface RectangleProps extends Omit<BaseGeoObjectProps, 'name'> {
    /**
     * Rectangle [geometry](https://tech.yandex.com/maps/doc/jsapi/2.1/ref/reference/Rectangle-docpage/#param-geometry)
     */
    geometry?: IGeometry[][][][] | number[][] | object;
    /**
     * Uncontrolled Rectangle [geometry](https://tech.yandex.com/maps/doc/jsapi/2.1/ref/reference/Rectangle-docpage/#param-geometry)
     */
    defaultGeometry?: IGeometry[][][][] | number[][] | object;
    /**
     * Rectangle [properties](https://tech.yandex.com/maps/doc/jsapi/2.1/ref/reference/Rectangle-docpage/#param-properties)
     */
    properties?: AnyObject | IDataManager;
    /**
     * Uncontrolled Rectangle [properties](https://tech.yandex.com/maps/doc/jsapi/2.1/ref/reference/Rectangle-docpage/#param-properties)
     */
    defaultProperties?: AnyObject | IDataManager;
    /**
     * Rectangle [options](https://tech.yandex.com/maps/doc/jsapi/2.1/ref/reference/Rectangle-docpage/#param-options)
     */
    options?: IOptionManager;
    /**
     * Uncontrolled Rectangle [options](https://tech.yandex.com/maps/doc/jsapi/2.1/ref/reference/Rectangle-docpage/#param-options)
     */
    defaultOptions?: IOptionManager;
}
export declare const Rectangle: React.FC<React.PropsWithChildren<RectangleProps & WithYMapsProps & WithInstanceRef & ErrorBoundaryProps & AnyObject>>;
declare const _default: React.FC<React.PropsWithChildren<RectangleProps & WithYMapsProps & WithInstanceRef & ErrorBoundaryProps & AnyObject>>;
export default _default;
