import { YMapsApi } from './typing';
interface YMapsQuery {
    lang?: 'tr_TR' | 'en_US' | 'en_RU' | 'ru_RU' | 'ru_UA' | 'uk_UA';
    apikey?: string;
    coordorder?: 'latlong' | 'longlat';
    load?: string;
    mode?: 'release' | 'debug';
    csp?: boolean;
    ns?: string;
}
interface CreateYMapsLoaderOptions {
    version?: string;
    enterprise?: boolean;
    query?: YMapsQuery;
    preload?: boolean;
}
export type ApiLoader = ReturnType<typeof createApiLoader>;
export declare const createApiLoader: (options: CreateYMapsLoaderOptions) => {
    load: () => Promise<YMapsApi>;
    getApi: () => YMapsApi;
    loadModule: (moduleName: string) => Promise<YMapsApi>;
};
export {};
