/**
 * Checks if key exists on an object
 *
 * @param {Object} props Component props
 * @param {string} key Prop key
 * @returns {boolean} Check result
 */
export declare function isControlledProp(props: any, key: any): boolean;
/**
 * Checks if prop exists, otherwise returns "uncontrolled"
 * prop that starts with default (e.g., defaultValue)
 *
 * @param {Object} props Component props
 * @param {string} key Prop key
 * @param {any} defaultValue
 * @return {any} Prop value
 */
export declare function getProp(props: any, key: any, defaultValue: any): any;
